#!/bin/bash
# {{ ansible_managed }}

until [ $(curl \
  --user-agent "Web Check {{ caefeeder }}" \
  --silent \
  --location \
  --connect-timeout 3 \
  --write-out "%{http_code}\n" \
  --output /dev/null \
  http://localhost:{{ application_port_prefix }}80/ior) == "200" ]
do
  i=$(expr $i + 1)
  if [ $i -ge 60 ]; then
    echo "{{ caefeeder }} not ready, giving up"
    exit 1
  fi
  echo "Waiting for "{{ caefeeder }}" to be ready"
  sleep 10s
done

echo "{{ caefeeder }} - OK"
